From ae82ee361d00711c4c5f27bcd492ba10009831f6 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Jan 18 2018 16:36:31 +0000
Subject: [PATCH 29/48] reset tree new-style


---

diff --git a/modulemd/__init__.py b/modulemd/__init__.py
index 6136167..d04e5bc 100644
--- a/modulemd/__init__.py
+++ b/modulemd/__init__.py
@@ -134,33 +134,7 @@ class ModuleMetadata(object):
         # Under the hood, we will use the ModulemdModule type
         self.module = Modulemd.Module()
 
-        self.module.set_mdversion(max(supported_mdversions))
-        self.module.set_name("")
-        self.module.set_stream("")
-        self.module.set_version(0)
-        self.module.set_context("")
-        self.module.set_arch("")
-        self.module.set_summary("")
-        self.module.set_description("")
-        # Don't pre-set EOL, since we don't have a valid value yet
-        # The Modulemd.Module() default initializes it to an appropriate invalid
-        # date.
-        self.module.set_servicelevels({})
-        self.module.set_module_licenses(Modulemd.SimpleSet())
-        self.module.set_content_licenses(Modulemd.SimpleSet())
-        self.module.set_buildrequires({})
-        self.module.set_requires({})
-        self.module.set_community("")
-        self.module.set_documentation("")
-        self.module.set_tracker("")
-        self.module.set_xmd({})
-        self.module.set_profiles({})
-        self.module.set_rpm_api(Modulemd.SimpleSet())
-        self.module.set_rpm_filter(Modulemd.SimpleSet())
-        self.module.set_rpm_buildopts({})
-        self.module.set_rpm_components({})
-        self.module.set_module_components({})
-        self.module.set_rpm_artifacts(Modulemd.SimpleSet())
+        self.reset()
 
     def __repr__(self):
         return ("<ModuleMetadata: mdversion: {!r}, name: {!r}, stream: {!r},"
@@ -178,6 +152,35 @@ class ModuleMetadata(object):
                     self.tracker, sorted(self.xmd), sorted(self.profiles),
                     self.api, self.filter, self.components, self.artifacts)
 
+    def reset(self):
+        self.mdversion = max(supported_mdversions)
+        self.name = ""
+        self.stream = ""
+        self.version = 0
+        self.context = ""
+        self.arch = ""
+        self.summary = ""
+        self.description = ""
+        # Don't pre-set EOL, since we don't have a valid value yet
+        # The Modulemd.Module() default initializes it to an appropriate invalid
+        # date.
+        #self.eol = None
+        self.servicelevels = {}
+        self.module_licenses = set()
+        self.content_licenses = set()
+        self.buildrequires = {}
+        self.requires = {}
+        self.community = ""
+        self.documentation = ""
+        self.tracker = ""
+        self.xmd = {}
+        self.profiles = {}
+        self.api = ModuleAPI(parent=self)
+        self.filter = ModuleFilter(parent=self)
+        self.buildopts = ModuleBuildopts(parent=self)
+        self.components = ModuleComponents(parent=self)
+        self.artifacts = ModuleArtifacts(parent=self)
+
     def load(self, f):
         """Loads a metadata file into the instance.
 

